;TJ's Screen Effects Library v1.0
;Made from scratch in ASM (I did all the routines myself so any similarity between the ;functions in this library and any other program is coincidental)
;I hope that someone out there will actually use this library, it's an easy way to add in ;some effects when changing screens instead of just the clear screen call, plus this gets ;rid of the status bar (which I hate when programs are running)
;There shouldn't be any bugs in this library but if you find any please report them to ;comfortably_numb_@hotmail.com
;Also if you use this library, have any comments, ideas, etc. please send an email to let me ;know that someone actually downloads my stuff and/or uses it

;There are no inputs or outputs (unless you want the trash in the registers for some reason) ;for this library, save the registers you need before the calls cuz they aren't pushed on ;the stack by the library

;.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.
scrnlib::scrollup equ scrnlib@0000
;Scrolls the screen all the way up

;.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.
scrnlib::scrolldn equ scrnlib@0001
;Scrolls the screen all the way down

;.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.
scrnlib::invert equ scrnlib@0002
;Inverts the color of the whole screen

;.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.
scrnlib::split equ scrnlib@0003
;Splits the screen in two and scrolls
;the top and bottom off screen

;.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.
scrnlib::flip equ scrnlib@0004
;Flips the screen vertically

;.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.oOo.
scrnlib::beammeup equ scrnlib@0005
;"Beams" your screen up, this is with
;no doubt the best of the library